# Overview
----------
Dell OpenManage Server Administrator (OMSA) is a software agent that provides
a comprehensive,
one-to-one systems management solution in two ways: from an integrated,
Web browser-based
graphical user interface (GUI) and from a command line interface (CLI)
through the operating system.

OMSA is designed so that system administrators can manage server systems
both locally and remotely
on a network. It also interfaces with OpenManage Essentials (OME) console,
which allows for
monitoring of the systems in your data center from a single interface.

This subordinate charm is designed for use on Dell PowerEdge "R", "T", and
"M" series servers.  It was tested against 11G and 12G systems.

To effectively leverage this charm, the server must be registered in a MAAS
environment and have a service deployed to it via juju.

# Usage
-------

This charm can be deployed by running:

    juju deploy openmanage

Once the charm is deployed, add it as a relation to a PowerEdge system
running an existing service:

    juju add-relation mysql openmanage

The above example will set up the repositories and install OMSA onto a node
that is currently running the mysql service.

Note:  You may need to add "linux.dell.com" to the squid-deb-proxy mirror.
echo "linux.dell.com" | sudo tee  \
    /etc/squid-deb-proxy/mirror-dstdomain.acl.d/90-linux-dell-com
sudo /etc/init.d/squid-deb-proxy restart

# Configuration
---------------
    options:
      package_set:
      type: string
      default: "srvadmin-all"
      description: The meta-package to install the OMSA functionality you require:
      (srvadmin-all, srvadmin-base, srvadmin-rac4,
srvadmin-rac5, srvadmin-idrac, srvadmin-idrac7, srvadmin-webserver,
srvadmin-storageservices, dtk-scripts, dcism)


# Post-Deployment
-----------------
To use the web interface, users with appropriate permissions need to be added.

Add users with appropriate permissions to /opt/dell/srvadmin/etc/omarolemap
file.
See detailed information in the User's Guide available from the documentation
link below for your version of OMSA.

http://www.dell.com/support/Manuals/us/en/19/Product/dell-opnmang-srvr-admin-v7.4

For example: 

    john_doe * Administrator

Start the web server.

    sudo service dsm_om_connsvc start

Go to https://<ip_address>:1311/ in your browser to access OMSA.

If you want to start the dsm_om_connsvc service at boot, issue the following
command:

    sudo update-rc.d dsm_om_connsvc defaults

# Contact Information
---------------------

Author: Kent Baxley <kent.baxley@canonical.com>
Report bugs at: http://bugs.launchpad.net/charms/+source/openmanage
Location: http://jujucharms.com/charms/trusty/openmanage


